/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2001 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/

/*
** dfhbmsca.h
**
** Sun MTP Client.
** BMS attribute definitions.
*/

#ifndef INCL_DFHBMSCA
#define INCL_DFHBMSCA

/*      VARIABLE  PROTECTION    INTENSITY    MODIFIED      */
/*                                           DATA TAG      */
/*                                                         */

/*      DFHBMUNP  Unprotected   Normal       Off           */
#define DFHBMUNP ' '

/*      DFHBMUNN  Numeric       Normal       Off           */
#define DFHBMUNN '&'

/*      DFHBMPRO  Protected     Normal       Off           */
#define DFHBMPRO '-'

/*      DFHBMASK  Autoskip      Normal       Off           */
#define DFHBMASK '0'

/*      DFHBMBRY  Unprotected   Bright       Off           */
#define DFHBMBRY 'H'

/*      DFHPROTI  Protected     Bright       Off           */
#define DFHPROTI 'Y'

/*      DFHBMASB  Autoskip      Bright       Off           */
#define DFHBMASB '8'

/*      DFHBMDAR  Unprotected   Non-Display  Off           */
#define DFHBMDAR '<'

/*      DFHPROTN  Protected     Non-Display  Off           */
#define DFHPROTN '%'

/*      DFHBMFSE  Unprotected   Normal       On            */
#define DFHBMFSE 'A'

/*      DFHBMASF  Autoskip      Normal       On            */
#define DFHBMASF '1'

/*      DFHUNNUM  Numeric       Normal       On            */
#define DFHUNNUM 'J'

/*      DFHBMPRF  Protected     Normal       On            */
#define DFHBMPRF '/'

/*      DFHUNIMD  Unprotected   Bright       On            */
#define DFHUNIMD 'I'

/*      DFHUNINT  Numeric       Bright       On            */
#define DFHUNINT 'R'

/*      DFHUNNOD  Unprotected   Non-Display  On            */
#define DFHUNNOD '('

/*      DFHUNNON  Numeric       Non-Display  On            */
#define DFHUNNON ')'

/*
** COLOURS
*/
#define DFHDFCOL 0x00
#define DFHBLUE  '1'
#define DFHRED   '2'
#define DFHPINK  '3'
#define DFHGREEN '4'
#define DFHTURQ  '5'
#define DFHYELLO '6'
#define DFHNEUTR '7'

#define DFH3270  0xc0
#define DFHALL   0x00
#define DFHBASE  0x00
#define DFHBLINK '1'
#define DFHBMDET 0x00
#define DFHBMEOF 0x80
#define DFHBMPEM 0x19
#define DFHBMPNL 0x05
#define DFHCOLOR 0x42
#define DFHDFHI  0x00
#define DFHDFT   0xff
#define DFHERROR 0x1a
#define DFHHLT   0x41
#define DFHMENT  0x02
#define DFHMET   0x03
#define DFHMFE   0x06
#define DFHMFET  0x00
#define DFHMFIL  0x1c
#define DFHMFT   0x09
#define DFHMT    0x01
#define DFHPS    0x43
#define DFHREVRS '2'
#define DFHSA    0x08
#define DFHUNDLN '4'
#define DFHVAL   0xc1

/*
** DBCS.
*/
#define DFHBMPSI 0x1f
#define DFHBMPSO 0x1e

/*
** OUTLINING.
*/
#define DFHBOX   0x0f
#define DFHDFFR  0x00
#define DFHLEFT  0x08
#define DFHOUTLN 0xc2
#define DFHOVER  0x04
#define DFHRIGHT 0x02
#define DFHSOSI  0x01
#define DFHUNDER 0x01

#endif
